from db.mod_db import DataBase
from common.sql_utils import to_sql_in

class WordDao:
    def __init__(self, db=None):
        if db is None:
            self.dataBase = DataBase()
        else:
            self.dataBase = db

    def select_explain_dao(self, word):
        return self.dataBase.fetch_all(
            'select * from check_name_literal_meaning where word = "%s" ' % (word))

